FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2021 PLD Team
$Revision: 1.37 $
Powered by Parallel thinking.
Your IP: 35.175.107.77

python3-jinja2 490ce6df-8790-42c4-86e7-4929a27ab91d

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/x32/FAIL/python3-jinja2,490ce6df-8790-42c4-86e7-4929a27ab91d.bz2
text/plain URL:View!
full text:View!
rpm -qa of builder:View!
Date:2021/10/09 23:48:52
Runtime:0:00:14.195018

Toc:

  • error 1
  • AttributeError: module 'jinja2' has no attribute 'pass_context'
  • error 2
  • AttributeError: pass_context
  • error 3
  • AttributeError: module 'jinja2' has no attribute 'pass_eval_context'
  • error 4
  • AttributeError: pass_eval_context
  • error 5
  • AttributeError: module 'jinja2' has no attribute 'pass_environment'
  • error 6
  • AttributeError: pass_environment
  • error 7
  • AttributeError: 'NoneType' object has no attribute 'splitlines'
  • error 8
  • error: Bad exit status from /tmp/B.d6hu0dxa/BUILD/tmp/rpm-tmp.C4e2Cc (%build)
  • error 9
  • RPM build errors:
  • error 10
  • error: No files produced.

Content:

copying src/jinja2/bccache.py -> build-3/lib/jinja2
copying src/jinja2/compiler.py -> build-3/lib/jinja2
copying src/jinja2/constants.py -> build-3/lib/jinja2
copying src/jinja2/debug.py -> build-3/lib/jinja2
copying src/jinja2/defaults.py -> build-3/lib/jinja2
copying src/jinja2/environment.py -> build-3/lib/jinja2
copying src/jinja2/exceptions.py -> build-3/lib/jinja2
copying src/jinja2/ext.py -> build-3/lib/jinja2
copying src/jinja2/filters.py -> build-3/lib/jinja2
copying src/jinja2/idtracking.py -> build-3/lib/jinja2
copying src/jinja2/lexer.py -> build-3/lib/jinja2
copying src/jinja2/loaders.py -> build-3/lib/jinja2
copying src/jinja2/meta.py -> build-3/lib/jinja2
copying src/jinja2/nativetypes.py -> build-3/lib/jinja2
copying src/jinja2/nodes.py -> build-3/lib/jinja2
copying src/jinja2/optimizer.py -> build-3/lib/jinja2
copying src/jinja2/parser.py -> build-3/lib/jinja2
copying src/jinja2/runtime.py -> build-3/lib/jinja2
copying src/jinja2/sandbox.py -> build-3/lib/jinja2
copying src/jinja2/tests.py -> build-3/lib/jinja2
copying src/jinja2/utils.py -> build-3/lib/jinja2
copying src/jinja2/visitor.py -> build-3/lib/jinja2
running egg_info
writing src/Jinja2.egg-info/PKG-INFO
writing dependency_links to src/Jinja2.egg-info/dependency_links.txt
writing entry points to src/Jinja2.egg-info/entry_points.txt
writing requirements to src/Jinja2.egg-info/requires.txt
writing top-level names to src/Jinja2.egg-info/top_level.txt
reading manifest file 'src/Jinja2.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
no previously-included directories found matching 'docs/_build'
warning: no previously-included files matching '*.pyc' found anywhere in distribution
writing manifest file 'src/Jinja2.egg-info/SOURCES.txt'
copying src/jinja2/py.typed -> build-3/lib/jinja2
+ pwd
+ PYTHONPATH=/tmp/B.d6hu0dxa/BUILD/Jinja2-3.0.2/src /usr/bin/python3 -m pytest tests
============================= test session starts ==============================
platform linux -- Python 3.9.7, pytest-6.2.2, py-1.10.0, pluggy-0.13.1
rootdir: /tmp/B.d6hu0dxa/BUILD/Jinja2-3.0.2, configfile: setup.cfg, testpaths: tests
plugins: pyfakefs-4.0.2, cov-2.8.1, hypothesis-4.57.1, case-1.5.3, flaky-3.6.1
collected 826 items

tests/test_api.py .................................                      [  3%]
tests/test_async.py .................................................... [ 10%]
....                                                                     [ 10%]
tests/test_async_filters.py .........................................    [ 15%]
tests/test_bytecode_cache.py ...                                         [ 16%]
tests/test_compile.py ..                                                 [ 16%]
tests/test_core_tags.py ................................................ [ 22%]
..............                                                           [ 23%]
tests/test_debug.py .......                                              [ 24%]
tests/test_ext.py ...............................................        [ 30%]
tests/test_features.py .                                                 [ 30%]
tests/test_filters.py .................................................. [ 36%]
......................................................................   [ 45%]
tests/test_idtracking.py .....                                           [ 45%]
tests/test_imports.py ...............                                    [ 47%]
tests/test_inheritance.py ......................                         [ 50%]
tests/test_lexnparse.py ................................................ [ 55%]
........................................................................ [ 64%]
..............................                                           [ 68%]
tests/test_loader.py .....................................               [ 72%]
tests/test_nativetypes.py ........................                       [ 75%]
tests/test_regression.py ............................................... [ 81%]
......                                                                   [ 82%]
tests/test_runtime.py .......                                            [ 82%]
tests/test_security.py ...............                                   [ 84%]
tests/test_tests.py .................................................... [ 91%]
......................................................                   [ 97%]
tests/test_utils.py ....................                                 [100%]

============================= 826 passed in 5.88s ==============================
+ pwd
+ PYTHONPATH=/tmp/B.d6hu0dxa/BUILD/Jinja2-3.0.2 /usr/bin/make -Otarget -j9 -C docs -j1 html 'SPHINXBUILD=sphinx-build-3'
make: Entering directory '/tmp/B.d6hu0dxa/BUILD/Jinja2-3.0.2/docs'
Running Sphinx v3.5.1
making output directory... done
loading intersphinx inventory from https://docs.python.org/3/objects.inv...
WARNING: failed to reach any of the inventories with the following issues:
intersphinx inventory 'https://docs.python.org/3/objects.inv' not fetchable due to <class 'requests.exceptions.ConnectionError'>: HTTPSConnectionPool(host='docs.python.org', port=443): Max retries exceeded with url: /3/objects.inv (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0xf547ccb8>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution'))
building [mo]: targets for 0 po files that are out of date
building [html]: targets for 13 source files that are out of date
updating environment: [new config] 13 added, 0 changed, 0 removed
reading sources... [  7%] api
reading sources... [ 15%] changes
reading sources... [ 23%] extensions
reading sources... [ 30%] faq
reading sources... [ 38%] index
reading sources... [ 46%] integration
reading sources... [ 53%] intro
reading sources... [ 61%] license
reading sources... [ 69%] nativetypes
reading sources... [ 76%] sandbox
reading sources... [ 84%] switching
reading sources... [ 92%] templates
WARNING: autodoc: failed to import function 'pass_context' from module 'jinja2'; the following exception was raised:
Traceback (most recent call last):
  File "/usr/share/python3.9/site-packages/sphinx/util/inspect.py", line 393, in safe_getattr
    return getattr(obj, name, *defargs)
AttributeError: module 'jinja2' has no attribute 'pass_context'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/share/python3.9/site-packages/sphinx/ext/autodoc/importer.py", line 111, in import_object
    obj = attrgetter(obj, mangled_name)
  File "/usr/share/python3.9/site-packages/sphinx/ext/autodoc/__init__.py", line 320, in get_attr
    return autodoc_attrgetter(self.env.app, obj, name, *defargs)
  File "/usr/share/python3.9/site-packages/sphinx/ext/autodoc/__init__.py", line 2604, in autodoc_attrgetter
    return safe_getattr(obj, name, *defargs)
  File "/usr/share/python3.9/site-packages/sphinx/util/inspect.py", line 409, in safe_getattr
    raise AttributeError(name) from exc
AttributeError: pass_context

WARNING: autodoc: failed to import function 'pass_eval_context' from module 'jinja2'; the following exception was raised:
Traceback (most recent call last):
  File "/usr/share/python3.9/site-packages/sphinx/util/inspect.py", line 393, in safe_getattr
    return getattr(obj, name, *defargs)
AttributeError: module 'jinja2' has no attribute 'pass_eval_context'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/share/python3.9/site-packages/sphinx/ext/autodoc/importer.py", line 111, in import_object
    obj = attrgetter(obj, mangled_name)
  File "/usr/share/python3.9/site-packages/sphinx/ext/autodoc/__init__.py", line 320, in get_attr
    return autodoc_attrgetter(self.env.app, obj, name, *defargs)
  File "/usr/share/python3.9/site-packages/sphinx/ext/autodoc/__init__.py", line 2604, in autodoc_attrgetter
    return safe_getattr(obj, name, *defargs)
  File "/usr/share/python3.9/site-packages/sphinx/util/inspect.py", line 409, in safe_getattr
    raise AttributeError(name) from exc
AttributeError: pass_eval_context

WARNING: autodoc: failed to import function 'pass_environment' from module 'jinja2'; the following exception was raised:
Traceback (most recent call last):
  File "/usr/share/python3.9/site-packages/sphinx/util/inspect.py", line 393, in safe_getattr
    return getattr(obj, name, *defargs)
AttributeError: module 'jinja2' has no attribute 'pass_environment'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/share/python3.9/site-packages/sphinx/ext/autodoc/importer.py", line 111, in import_object
    obj = attrgetter(obj, mangled_name)
  File "/usr/share/python3.9/site-packages/sphinx/ext/autodoc/__init__.py", line 320, in get_attr
    return autodoc_attrgetter(self.env.app, obj, name, *defargs)
  File "/usr/share/python3.9/site-packages/sphinx/ext/autodoc/__init__.py", line 2604, in autodoc_attrgetter
    return safe_getattr(obj, name, *defargs)
  File "/usr/share/python3.9/site-packages/sphinx/util/inspect.py", line 409, in safe_getattr
    raise AttributeError(name) from exc
AttributeError: pass_environment


Exception occurred:
  File "/usr/share/python3.9/site-packages/pallets_sphinx_themes/themes/jinja/domain.py", line 43, in build_function_directive
    doc = inspect.getdoc(func).splitlines()
AttributeError: 'NoneType' object has no attribute 'splitlines'
The full traceback has been saved in /tmp/B.d6hu0dxa/BUILD/tmp/sphinx-err-9i0ns3pq.log, if you want to report the issue to the developers.
Please also report this if it was a user error, so that a better error message can be provided next time.
A bug report can be filed in the tracker at <https://github.com/sphinx-doc/sphinx/issues>. Thanks!
make: *** [Makefile:19: html] Error 2
make: Leaving directory '/tmp/B.d6hu0dxa/BUILD/Jinja2-3.0.2/docs'
error: Bad exit status from /tmp/B.d6hu0dxa/BUILD/tmp/rpm-tmp.C4e2Cc (%build)


RPM build errors:
    Bad exit status from /tmp/B.d6hu0dxa/BUILD/tmp/rpm-tmp.C4e2Cc (%build)
ended at: Sat Oct  9 23:48:51 2021, done in 0:00:14.195018
error: No files produced.
+ chmod -R u+rwX /tmp/B.d6hu0dxa/BUILD
+ rm -rf /tmp/B.d6hu0dxa/tmp /tmp/B.d6hu0dxa/BUILD
+ rm -rf /tmp/B.d6hu0dxa
Begin-PLD-Builder-Info
Build-Time: user:14.95s sys:1.09s real:16.35s (faults io:5 non-io:156369)

End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]